#ifndef LIBKYBIOSINFO_H
#define LIBKYBIOSINFO_H

/**
 * @file libkybios.h
 * @author liuyunhe (liuyunhe@kylinos.cn)
 * @brief bios信息
 * @version 0.1
 * @date 2023-2-17
 * 
 * @copyright Copyright (c) 2021
 * @defgroup libkysdk-hardware
 * @{
 * 
 */

#ifdef __cplusplus
extern "C"
{
#endif

/**
 * @brief 获取bios厂商
 *
 * @return const char* 厂商名，返回的字符串需要被 free 释放
 */
extern const char *kdk_bios_get_vendor();

/**
 * @brief 获取bios版本
 * 
 * @return const char* 版本号，返回的字符串需要被 free 释放
 */
extern const char *kdk_bios_get_version();

/**
 * @brief 释放内存
 * 
 * @param info 本模块接口返回的字符串
 */
extern void kdk_bios_free(char *info);

#ifdef __cplusplus
}
#endif

#endif

/**
 * \example kysdk-system/src/hardware/test/kybios-test.c
 * 
 */